summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGary Wu <gwu@futurewei.com>2019-05-29 07:30:34 -0700
committerGary Wu <gwu@futurewei.com>2019-05-29 07:32:12 -0700
commitd6f0943cf0a2a524c22ba6464910a966d9d4a5e9 (patch)
tree54dd91b7f6e504e1d63db04f97b20e13d9ed88a0
parentcf5eacca96ce461cdac3951fb662fc4ffccfe212 (diff)
Only allow release images in helm charts
Going forward, only released docker images are allowed in helm charts. Teams wishing to test staging versions need to do so via a helm override file. Issue-ID: INT-1055 Signed-off-by: Gary Wu <gwu@futurewei.com> Change-Id: Ieba662f8ec3474cca1e0d55dd7e3692ffdb726f5
-rw-r--r--jjb/oom/oom-helm.yaml8
1 files changed, 8 insertions, 0 deletions
diff --git a/jjb/oom/oom-helm.yaml b/jjb/oom/oom-helm.yaml
index 43ae80783..5a7d377a1 100644
--- a/jjb/oom/oom-helm.yaml
+++ b/jjb/oom/oom-helm.yaml
@@ -12,10 +12,18 @@
#!/bin/bash
set -e -o pipefail
cd kubernetes/
+ if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
+ echo "[ERROR] Only release images are allowed in helm charts."
+ exit 1
+ fi
make all
subproject_build_script: |
#!/bin/bash
cd kubernetes/
+ if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
+ echo "[ERROR] Only release images are allowed in helm charts."
+ exit 1
+ fi
make common
make {subproject}
oom_post_build_script: !include-raw-escape: shell/publish_helm_charts.sh